
CONFIG_CONSOLE=y
CONFIG_UART_CONSOLE=y
#CONFIG_RTT_CONSOLE=n
CONFIG_USE_SEGGER_RTT=n

#CONFIG_NO_OPTIMIZATIONS=y

# for UART
CONFIG_SERIAL=y
CONFIG_UART_INTERRUPT_DRIVEN=y
CONFIG_UART_USE_RUNTIME_CONFIGURE=y
#CONFIG_UART_ASYNC_API=y

# Enable HW INFO
CONFIG_HWINFO=y

# enable GPIO
CONFIG_GPIO=y

# for SPI
#CONFIG_SPI=y
#CONFIG_SPI_ASYNC=y
CONFIG_NORDIC_QSPI_NOR=y

CONFIG_I2C=y

# for flash
CONFIG_FLASH=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_MAP=y
CONFIG_NVS=y

# additional board options
CONFIG_PINCTRL=y

# memory
CONFIG_HEAP_MEM_POOL_SIZE=16384
CONFIG_MAIN_STACK_SIZE=16384
CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=2048

CONFIG_NEWLIB_LIBC=y
CONFIG_CBPRINTF_FP_SUPPORT=y

# bluetooth
CONFIG_BT=y
#CONFIG_BT_DEBUG_LOG=y
CONFIG_BT_SMP=y
CONFIG_BT_SIGNING=y
CONFIG_BT_PERIPHERAL=y
CONFIG_BT_PRIVACY=y
CONFIG_BT_DEVICE_NAME="Agri machine"
CONFIG_BT_DEVICE_APPEARANCE=833
CONFIG_BT_MAX_CONN=1
CONFIG_BT_MAX_PAIRED=1
CONFIG_BT_DEVICE_NAME_DYNAMIC=y
CONFIG_BT_DEVICE_NAME_MAX=65
CONFIG_BT_SETTINGS=y

# Allow for large Bluetooth data packets.
CONFIG_BT_L2CAP_TX_MTU=251
CONFIG_BT_BUF_ACL_RX_SIZE=256
CONFIG_BT_BUF_ACL_TX_COUNT=10
CONFIG_BT_BUF_ACL_TX_SIZE=251

CONFIG_SETTINGS=y
